## lomiri-system-settings 1.0~git20221028.ca6da85

=== plugins/language/CMakeLists.txt ===
pkg_search_module(GD3 REQUIRED gnome-desktop-3.0)
include_directories(${GD3_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS} ${ACCOUNTSSERVICE_INCLUDE_DIRS} ${ICU_INCLUDE_DIRS})
add_definitions(-DQT_NO_KEYWORDS)

set(QML_SOURCES
    DisplayLanguage.qml
    KeyboardLayoutItem.qml
    KeyboardLayouts.qml
    PageComponent.qml
    PageHardwareKeyboard.qml
    RebootNecessary.qml
    SpellChecking.qml
    SubsetView.qml
    ThemeValues.qml
)

add_library(LomiriLanguagePlugin MODULE
 keyboard-layout.cpp language-plugin.cpp plugin.cpp subset-model.cpp onscreenkeyboard-plugin.cpp hardwarekeyboard-plugin.cpp
 keyboard-layout.h language-plugin.h plugin.h subset-model.h onscreenkeyboard-plugin.h hardwarekeyboard-plugin.h
 sessionservice.h sessionservice.cpp
 ${QML_SOURCES})
target_link_libraries(LomiriLanguagePlugin Qt5::Qml Qt5::Quick Qt5::DBus LomiriSystemSettingsPrivate ${GD3_LDFLAGS} ${GLIB_LDFLAGS} ${GIO_LDFLAGS} ${ACCOUNTSSERVICE_LDFLAGS} ${ICU_LDFLAGS})

# Would love to get this from lomiri-keyboard directly, but that's QMake .pri,
# so let's just hardcode here.
target_compile_definitions(LomiriLanguagePlugin PRIVATE
    -DLOMIRI_KEYBOARD_PLUGIN_PATH=\"${CMAKE_INSTALL_PREFIX}/lib/lomiri-keyboard/plugins\")

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/LanguagePlugin)
install(TARGETS LomiriLanguagePlugin DESTINATION ${PLUG_DIR})
install(FILES qmldir DESTINATION ${PLUG_DIR})
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/language)
install(FILES settings-language.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)
install(FILES language.settings DESTINATION ${PLUGIN_MANIFEST_DIR})

=== debian/changelog ===
lomiri-system-settings (1.0~git20221028.ca6da85-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream Git snapshot.
  * debian/patches/:
    + Drop 0001_copyright-headers-Use-uniform-spelling-for-copyright.patch.
      Applied upstream.
  * debian/control:
    + Switch from ubports-wallpapers to lomiri-wallpapers (currently in
      Debian's NEW queue); comment out lomiri-keyboard-data (we don't
      build the language plugin for now). (Closes: #1021524).
  * debian/copyright:
    + Update copyright attributions.

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml
  * Let blhc fail

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Oct 2022 22:58:33 +0200

lomiri-system-settings (1.0~git20221004.572f3a9-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1007782).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Oct 2022 17:22:47 +0200

=== debian/control ===
Source: lomiri-system-settings
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Marius Gripsgard <marius@ubports.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus-test-runner,
               debhelper-compat (= 13),
               dh-python,
               gdb,
               gir1.2-glib-2.0 <!nocheck>,
               intltool,
               libaccountsservice-dev,
               libapt-pkg-dev,
               libclick-dev,
               libevdev-dev,
               libgeonames-dev,
               libglib2.0-dev (>= 2.37.92),
               libgnome-desktop-3-dev,
               libgsettings-qt-dev,
               libicu-dev,
               libqmenumodel-dev,
               libqt5sql5-sqlite <!nocheck>,
               libqtdbusmock1-dev (>= 0.2+14.04.20140724) <!nocheck>,
               libqtdbustest1-dev <!nocheck>,
               libudev-dev,
               libupower-glib-dev,
               pkg-config,
               python3-all:any,
               python3-dbus <!nocheck>,
               python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native <!nocheck>,
               python3-gi <!nocheck>,
               python3-pep8 <!nocheck>,
               python3-setuptools,
               python3:any <!nocheck>,
               qml-module-lomiri-components <!nocheck>,
               qml-module-lomiri-settings-components <!nocheck>,
               qml-module-lomiri-settings-menus <!nocheck>,
               qml-module-lomiri-settings-vpn <!nocheck>,
               qml-module-qtcontacts,
               qml-module-qtquick-layouts,
               qml-module-qtquick2 <!nocheck>,
               qml-module-qtsysteminfo (>= 5.0~),
               qml-module-qttest <!nocheck>,
               qtbase5-dev,
               qtbase5-private-dev <!nocheck>,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               suru-icon-theme,
               xvfb <!nocheck>,
               xauth <!nocheck>,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-system-settings
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-system-settings.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-system-settings

Package: lomiri-system-settings
Architecture: any
Depends: accountsservice,
         bluez (>= 5.23),
         click | ubuntu-snappy-cli,
         gir1.2-glib-2.0,
         gsettings-desktop-schemas,
         liblomirisystemsettings1 (= ${binary:Version}),
         lomiri-indicator-network,
#         lomiri-keyboard-data,
         lomiri-schemas,
         python3,
         python3-dbus,
         python3-gi,
         qmenumodel-qml,
         qml-module-gsettings1.0,
         qml-module-lomiri-components,
         qml-module-lomiri-components-extras,
         qml-module-lomiri-connectivity (>= 0.7.1),
         qml-module-lomiri-content,
         qml-module-lomiri-settings-components,
         qml-module-lomiri-settings-menus,
         qml-module-lomiri-settings-vpn,
         qml-module-ofono (>=0.90~),
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtmultimedia | qml-module-qtmultimedia-gles,
         qml-module-qtsysteminfo,
         suru-icon-theme (>= 14.04+15.04.20150813~),
         lomiri-wallpapers,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: aethercast,
          dbus-property-service,
          system-image-dbus (>= 3.1),
          urfkill,
Recommends: lomiri-sounds,
            repowerd,
#            ubuntu-system-settings-online-accounts,
Description: System Settings application for Lomiri
 Lomiri-system-settings is the System Settings application used in Lomiri
 desktop environment. it's designed for phones, tablets and convergent
 devices.

Package: liblomirisystemsettings1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: System Settings application for Lomiri - plug-in library
 Lomiri-system-settings is the System Settings application used in Lomiri
 desktop environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package contains the library used by settings plugins.

Package: liblomirisystemsettings-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblomirisystemsettings1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: System Settings application for Lomiri - plug-in development files
 Lomiri-system-settings is the System Settings application used in Lomiri
 desktop environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package contains the plug-in library's development files.

Package: liblomirisystemsettingsprivate0.0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: System Settings application for Lomiri - private library
 Lomiri-system-settings is the System Settings application used in Lomiri
 desktop environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package contains the private library used by some settings plugins.

Package: liblomirisystemsettingsprivate-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblomirisystemsettingsprivate0.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: System Settings application for Lomiri - private development files
 Lomiri-system-settings is the System Settings application used in Lomiri
 desktop environment. it's designed for phones, tablets and convergent
 devices.
 .
 This package contains the private library's development files.

#Package: lomiri-system-settings-autopilot
#Architecture: all
#Depends: dpkg-dev,
#         gir1.2-upowerglib-1.0,
#         libautopilot-qt,
#         lomiri-system-settings,
#         lomiri-ui-toolkit-autopilot,
#         python3-autopilot,
#         python3-dateutil,
#         python3-dbusmock (>= 0.14),
#         python3-evdev,
#         ${misc:Depends},
#         ${python3:Depends}
#Description: System Settings application for Lomiri - Autopilot tests
# Lomiri-system-settings is the System Settings application used in Lomiri
# desktop environment. it's designed for phones, tablets and convergent
# devices.
# .
# This package contains the autopilot tests for lomiri-system-settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export QT_SELECT=qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

testskip_architectures := powerpc

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
export DEB_BUILD_PROFILES := cross
endif

ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
export CONFIGURE_FLAGS := -DENABLE_TESTS=OFF
endif

export HOME=$(CURDIR)/debian/build

override_dh_auto_configure:
	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
	# So until Debian bug 719148 is fixed, do it ourselves.
	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var" $(CONFIGURE_FLAGS)

override_dh_auto_build:
	dh_auto_build --parallel
	$(MAKE) -j$(nproc) -C obj-$(DEB_HOST_GNU_TYPE) pot

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDHOME)

override_dh_auto_test:
	mkdir -p $(HOME)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter $(DEB_HOST_ARCH),$(testskip_architectures)))
	-dh_auto_test --no-parallel
else
	dh_auto_test --no-parallel
endif
endif

override_dh_install:
#	cd tests/autopilot; \
#	set -ex; for python in $(shell py3versions -r); do \
#		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
#	done; \
#	cd $(CURDIR)
	dh_install -X'*.pyc'

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/ubuntu-system-settings

override_dh_missing:
	dh_missing --fail-missing

%:
	dh $@ --with python3

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=1.0~git%cd.%h" \
https://gitlab.com/ubports/development/core/lomiri-system-settings \
HEAD debian uupdate

## lomiri-system-settings 1.0~git20221229.bc061a4

=== CMakeLists.txt ===
project(lomiri-system-settings C CXX)
cmake_minimum_required(VERSION 2.8.10)

if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
   message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
endif()

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.

set(PROJECT_VERSION 0.1)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(EnableCoverageReport)
include(FindPkgConfig)
include(GNUInstallDirs)
set(LIBDIR ${CMAKE_INSTALL_LIBDIR})
enable_testing()

option(ENABLE_TESTS "Build tests" ON)

if(cmake_build_type_lower MATCHES coverage)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
  set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )

  # We add -g when building with coverage so valgrind reports line numbers.
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g" )
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g" )
endif()


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fno-permissive -pedantic -Wall -Wextra")
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Qml REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5Sql REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(Qt5Widgets REQUIRED)

# Workaround for https://bugreports.qt-project.org/browse/QTBUG-29987
set(QT_IMPORTS_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml")
set(CMAKE_AUTOMOC ON)

pkg_search_module(GOBJECT REQUIRED gobject-2.0)
pkg_search_module(GLIB REQUIRED glib-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0 gio-unix-2.0)
pkg_search_module(UPOWER_GLIB REQUIRED upower-glib)
pkg_search_module(ACCOUNTSSERVICE REQUIRED accountsservice)
pkg_search_module(GEONAMES REQUIRED geonames)
pkg_search_module(ICU REQUIRED icu-i18n)
pkg_search_module(ANDR_PROP libandroid-properties)
pkg_search_module(CLICK REQUIRED click-0.4)
pkg_check_modules(QTGSETTINGS REQUIRED gsettings-qt)

find_program(XGETTEXT_BIN xgettext)
find_program(MSGFMT_BIN msgfmt)
find_program(INTLTOOL_MERGE intltool-merge)
find_program(INTLTOOL_EXTRACT intltool-extract)

set(DATA_DIR share)
set(MODULE_DIR lomiri-system-settings)
set(MANIFEST_DIR lomiri-system-settings)
set(QML_DIR qml-plugins)
set(PRIVATE_DIR private)

# share/lomiri-system-settings
set(PLUGIN_MANIFEST_DIR_BASE ${DATA_DIR}/${MANIFEST_DIR})
# lomiri-system-settings
set(PLUGIN_MODULE_DIR_BASE ${MODULE_DIR})
# lomiri-system-settings/private
set(PLUGIN_PRIVATE_MODULE_DIR_BASE "${PLUGIN_MODULE_DIR_BASE}/${PRIVATE_DIR}")
# share/lomiri-system-settings/qml-plugins
set(PLUGIN_QML_DIR_BASE ${DATA_DIR}/${MANIFEST_DIR}/${QML_DIR})
# E.g. /usr/share/lomiri-system-settings
set(PLUGIN_MANIFEST_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_MANIFEST_DIR_BASE}")
# E.g. /usr/lib/lomiri-system-settings
set(PLUGIN_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/${PLUGIN_MODULE_DIR_BASE}")
# E.g. /usr/share/lomiri-system-settings/qml-plugins
set(PLUGIN_QML_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_QML_DIR_BASE}")
# E.g. /usr/lib/lomiri-system-settings/private
set(PLUGIN_PRIVATE_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${LIBDIR}/${PLUGIN_PRIVATE_MODULE_DIR_BASE}")
set(SETTINGS_SHARE_DIR "${CMAKE_INSTALL_PREFIX}/${PLUGIN_MANIFEST_DIR_BASE}")

SET(CMAKE_INSTALL_RPATH "${PLUGIN_MODULE_DIR}")

set(DESKTOP_FILE lomiri-system-settings.desktop)
set(GETTEXT_PACKAGE lomiri-system-settings)

add_subdirectory(po)
add_subdirectory(schema)
add_subdirectory(lib)
include_directories(lib)
include_directories(src)
add_subdirectory(plugins)
add_subdirectory(src)
if(ENABLE_TESTS)
  pkg_check_modules(QTDBUSMOCK REQUIRED libqtdbusmock-1 REQUIRED)
  pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
  add_subdirectory(tests)
endif()

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in @ONLY)
add_custom_target(${DESKTOP_FILE} ALL
                  COMMENT "Merging translations into ${DESKTOP_FILE}"
                  COMMAND ${INTLTOOL_MERGE} -d -u ${CMAKE_SOURCE_DIR}/po
                          ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in ${DESKTOP_FILE})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES lomiri-system-settings.url-dispatcher DESTINATION share/lomiri-url-dispatcher/urls)
install(FILES screenshot.png DESTINATION ${SETTINGS_SHARE_DIR})
install(FILES system-settings.svg DESTINATION ${SETTINGS_SHARE_DIR})
install(FILES system-settings-app-splash.svg DESTINATION ${SETTINGS_SHARE_DIR})

if(cmake_build_type_lower MATCHES coverage)
  ENABLE_COVERAGE_REPORT(TARGETS system-settings FILTER /usr/include ${CMAKE_SOURCE_DIR}/tests/* ${CMAKE_BINARY_DIR}/*)
endif()

=== po/CMakeLists.txt ===
 
file(RELATIVE_PATH DESKTOP_FILE_IN_IN ${CMAKE_SOURCE_DIR}
     ${CMAKE_SOURCE_DIR}/${DESKTOP_FILE}.in.in)
file(RELATIVE_PATH DESKTOP_FILE_IN_IN_H ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/${DESKTOP_FILE_IN_IN}.h)

file(GLOB CPPFILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
                   "${CMAKE_SOURCE_DIR}/lib/*/*.cpp"
                   "${CMAKE_SOURCE_DIR}/plugins/*/*.cpp"
                   "${CMAKE_SOURCE_DIR}/src/*.cpp"
                   "${CMAKE_SOURCE_DIR}/wizard/*.cpp")
file(GLOB QMLFILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
                   "${CMAKE_SOURCE_DIR}/plugins/*/*.qml"
                   "${CMAKE_SOURCE_DIR}/plugins/*/*/*.qml"
                   "${CMAKE_SOURCE_DIR}/src/qml/*.qml"
                   "${CMAKE_SOURCE_DIR}/wizard/qml/*/*.qml")
file(GLOB SETTINGSFILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
                        "${CMAKE_SOURCE_DIR}/plugins/*/*.settings")
file(GLOB PYFILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
                        "${CMAKE_SOURCE_DIR}/push-helper/*.py")
file(RELATIVE_PATH SETTINGSJSFILE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/settings.js")

add_custom_target(settings.js
    COMMAND ./extractsettingsinfo ${SETTINGSFILES} -o ${CMAKE_CURRENT_SOURCE_DIR}/settings.js
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS ${SETTINGSFILES}
)

add_custom_target(pot-desktop
    COMMAND ${INTLTOOL_EXTRACT} --update --type=gettext/ini
                            --srcdir=${CMAKE_SOURCE_DIR} ${DESKTOP_FILE_IN_IN}
    COMMAND ${XGETTEXT_BIN} -o lomiri-system-settings.pot
                            --copyright=\"Canonical Ltd.\"
                            --package-name lomiri-system-settings
                            --qt --c++ --add-comments=TRANSLATORS
                            --keyword=N_ --from-code=UTF-8
                            --sort-by-file
                            ${DESKTOP_FILE_IN_IN_H}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
)

add_custom_target(pot-qml
    COMMAND ${XGETTEXT_BIN} -o lomiri-system-settings.pot
                            --join-existing
                            --copyright=\"Canonical Ltd.\"
                            --package-name lomiri-system-settings
                            --qt --c++ --add-comments=TRANSLATORS
                            --keyword=QT_TR_NOOP --keyword=ctr:1c,2
                            --keyword=tr --keyword=tr:1,2 --from-code=UTF-8
                            --sort-by-file
                            ${QMLFILES} ${SETTINGSJSFILE}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS pot-desktop ${QMLFILES} settings.js #desktop.js
)

add_custom_target(pot-cpp
    COMMAND ${XGETTEXT_BIN} -o lomiri-system-settings.pot
                            --join-existing
                            --copyright=\"Canonical Ltd.\"
                            --package-name lomiri-system-settings
                            --qt --c++ --add-comments=TRANSLATORS
                            --keyword=_ --from-code=UTF-8
                            --sort-by-file
                            ${CPPFILES}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS pot-qml ${CPPFILES}
)

add_custom_target(pot DEPENDS pot-desktop pot-qml pot-cpp)

set(languages "aa;af;am;ar;ast;az;be;bg;br;bs;ca;ckb;cs;cy;da;de;el;en_AU;en_GB;eo;es;eu;fa;fi;fr;fr_CA;ga;gd;gl;gu;he;hi;hr;hu;hy;ia;id;is;it;ja;km;ko;lo;lt;lv;ml;mr;ms;my;nb;nl;oc;pa;pl;pt;pt_BR;ro;ru;sa;sc;shn;si;sk;sl;sq;sr;st;sv;ta;te;th;tr;ug;uk;vi;xh;zh_CN;zh_HK;zh_TW")
foreach(i ${languages})
  add_custom_command(OUTPUT ${i}.mo
  COMMAND ${MSGFMT_BIN} ${CMAKE_CURRENT_SOURCE_DIR}/${i}.po -o ${CMAKE_CURRENT_BINARY_DIR}/${i}.mo
  DEPENDS ${i}.po
  )
  add_custom_target(${i}gen ALL DEPENDS ${i}.mo)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${i}.mo 
  DESTINATION share/locale/${i}/LC_MESSAGES
  RENAME lomiri-system-settings.mo)
endforeach()

=== plugins/notifications/CMakeLists.txt ===
add_subdirectory(plugin)

SET (CMAKE_AUTOMOC ON)

set(QML_SOURCES
    PageComponent.qml
    ClickAppNotifications.qml
    ClickAppsSoundsNotify.qml
    ClickAppsVibrationsNotify.qml
    )

set(lomiri_notifications_panel_HDRS
    plugin.h
    general_notification_settings.h
    click_applications_model.h
    click_applications_notify_model.h
    )

set(lomiri_notifications_panel_SRCS
    plugin.cpp
    general_notification_settings.cpp
    click_applications_model.cpp
    click_applications_notify_model.cpp
    )

configure_file(qmldir.in qmldir COPYONLY)
add_library(LomiriNotificationsPanel MODULE ${lomiri_notifications_panel_HDRS} ${lomiri_notifications_panel_SRCS} ${QML_SOURCES})

add_definitions(-DQT_NO_KEYWORDS)
include_directories(${GIO_INCLUDE_DIRS})
include_directories(${QTGSETTINGS_INCLUDE_DIRS})

target_link_libraries(LomiriNotificationsPanel ${GIO_LDFLAGS} ${QTGSETTINGS_LDFLAGS} Qt5::Qml Qt5::Quick)

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/Notifications)
install(TARGETS LomiriNotificationsPanel DESTINATION ${PLUG_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qmldir DESTINATION ${PLUG_DIR})
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/notifications)

install(FILES notifications.settings DESTINATION ${PLUGIN_MANIFEST_DIR})

=== tests/mocks/CMakeLists.txt ===
# Set up and optionally install a mock plugin for lomiri-system-setting.
# add_lss_mock(plugin version path)

macro(add_lss_mock PLUGIN VERSION PATH)
    cmake_parse_arguments(MOCK "" "${single}" "" ${ARGN})

    if(NOT QMLFILES_SEARCH_PATH)
        set(QMLFILES_SEARCH_PATH ${CMAKE_CURRENT_SOURCE_DIR})
    endif()

    set(qmlfiles_dir ${CMAKE_CURRENT_BINARY_DIR})

    file(GLOB QMLFILES
        ${QMLFILES_SEARCH_PATH}/*.qml
        ${QMLFILES_SEARCH_PATH}/*.js
        ${QMLFILES_SEARCH_PATH}/*.jpg
        ${QMLFILES_SEARCH_PATH}/*.png
        ${QMLFILES_SEARCH_PATH}/*.sci
        ${QMLFILES_SEARCH_PATH}/*.svg
        ${QMLFILES_SEARCH_PATH}/*.qmltypes
        ${QMLFILES_SEARCH_PATH}/qmldir
    )

    execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory ${qmlfiles_dir})

    # copy the files
    add_custom_target(${QMLFILES_TARGET_PREFIX}${PLUGIN}-qmlfiles ALL
                        COMMAND cp ${QMLFILES} ${qmlfiles_dir}
                        DEPENDS ${QMLFILES}
                        SOURCES ${QMLFILES}
    )
endmacro()

add_subdirectory(GSettings.1.0)
add_subdirectory(Lomiri)
add_subdirectory(QMenuModel)
add_subdirectory(SystemSettings)

=== debian/changelog ===
lomiri-system-settings (1.0~git20221229.bc061a4-1) unstable; urgency=medium

  * New upstream Git snapshot.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop patch 2002 in favour of patches 000{1,2}_bt-test-fix-with-modern-
      python-dbusmock.patch.
  * debian/rules:
    + Enable 'MODERN_PYTHON_DBUSMOCK' CMake option.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 12:57:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,16 @@
 export CONFIGURE_FLAGS := -DENABLE_TESTS=OFF
 endif
 
+
+
 export HOME=$(CURDIR)/debian/build
 
 override_dh_auto_configure:
 	# Debian defines CMAKE_INSTALL_LOCALSTATEDIR as /usr/var, which is wrong.
 	# So until Debian bug 719148 is fixed, do it ourselves.
-	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var" $(CONFIGURE_FLAGS)
+	dh_auto_configure -- -DCMAKE_INSTALL_LOCALSTATEDIR="/var"	\
+	                     -DMODERN_PYTHON_DBUSMOCK=ON		\
+	                     $(CONFIGURE_FLAGS)
 
 override_dh_auto_build:
 	dh_auto_build --parallel

## lomiri-system-settings 1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-project(lomiri-system-settings C CXX)
-cmake_minimum_required(VERSION 2.8.10)
+cmake_minimum_required(VERSION 3.5)
+
+project(lomiri-system-settings VERSION 1.0 LANGUAGES C CXX)
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -7,7 +8,6 @@
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.
 
-set(PROJECT_VERSION 0.1)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 include(EnableCoverageReport)
 include(FindPkgConfig)
@@ -27,7 +27,6 @@
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g" )
   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g" )
 endif()
-
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fno-permissive -pedantic -Wall -Wextra")
 find_package(Qt5Concurrent REQUIRED)
@@ -53,11 +52,6 @@
 pkg_search_module(ANDR_PROP libandroid-properties)
 pkg_search_module(CLICK REQUIRED click-0.4)
 pkg_check_modules(QTGSETTINGS REQUIRED gsettings-qt)
-
-find_program(XGETTEXT_BIN xgettext)
-find_program(MSGFMT_BIN msgfmt)
-find_program(INTLTOOL_MERGE intltool-merge)
-find_program(INTLTOOL_EXTRACT intltool-extract)
 
 set(DATA_DIR share)
 set(MODULE_DIR lomiri-system-settings)
@@ -87,6 +81,7 @@
 
 set(DESKTOP_FILE lomiri-system-settings.desktop)
 set(GETTEXT_PACKAGE lomiri-system-settings)
+set(DESKTOP_FILE ${PROJECT_NAME}.desktop)
 
 add_subdirectory(po)
 add_subdirectory(schema)
@@ -101,11 +96,15 @@
   add_subdirectory(tests)
 endif()
 
-configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in @ONLY)
+include(FindGettext)
+configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)
 add_custom_target(${DESKTOP_FILE} ALL
-                  COMMENT "Merging translations into ${DESKTOP_FILE}"
-                  COMMAND ${INTLTOOL_MERGE} -d -u ${CMAKE_SOURCE_DIR}/po
-                          ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in ${DESKTOP_FILE})
+    COMMENT "Merging translations into ${DESKTOP_FILE}..."
+    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
+            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
+            -o ${DESKTOP_FILE}
+            -d ${CMAKE_SOURCE_DIR}/po
+)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
         DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== lib/LomiriSystemSettings/CMakeLists.txt ===
add_library(LomiriSystemSettings SHARED item-base.cpp item-base.h)
set_target_properties(LomiriSystemSettings PROPERTIES
VERSION 1.0.0
SOVERSION 1
)

target_link_libraries(LomiriSystemSettings Qt5::Core Qt5::Gui Qt5::Quick Qt5::Qml)

install(TARGETS LomiriSystemSettings LIBRARY DESTINATION ${LIBDIR})
install(FILES item-base.h ItemBase plugin-interface.h PluginInterface
DESTINATION include/LomiriSystemSettings)

set(SYSTEMSETTINGS_LIB LomiriSystemSettings)
configure_file(LomiriSystemSettings.pc.in LomiriSystemSettings.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LomiriSystemSettings.pc DESTINATION ${LIBDIR}/pkgconfig)

=== debian/changelog ===
lomiri-system-settings (1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Update auto-generated copyright.in file.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Don't update pot file during build. (This should never have landed here!).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 14:21:04 +0100

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
                suru-icon-theme,
                xvfb <!nocheck>,
                xauth <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-system-settings
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-system-settings.git

## lomiri-system-settings 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-system-settings VERSION 1.0 LANGUAGES C CXX)
+project(lomiri-system-settings VERSION 1.0.1 LANGUAGES C CXX)
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")

=== lib/CMakeLists.txt ===
add_subdirectory(LomiriSystemSettingsPrivate)
add_subdirectory(LomiriSystemSettings)

=== plugins/CMakeLists.txt ===
if(ANDR_PROP_FOUND)
    add_subdirectory(about)
    add_subdirectory(brightness)
    add_subdirectory(nfc)
endif()
add_subdirectory(background)
add_subdirectory(battery)
add_subdirectory(bluetooth)
add_subdirectory(example)
add_subdirectory(flight-mode)
add_subdirectory(gestures)
add_subdirectory(hotspot)
add_subdirectory(language)
add_subdirectory(launcher)
add_subdirectory(mouse)
add_subdirectory(notifications)
add_subdirectory(orientation-lock)
add_subdirectory(printing)
add_subdirectory(reset)
add_subdirectory(sound)
add_subdirectory(time-date)
add_subdirectory(vpn)
add_subdirectory(wifi)

=== po/CMakeLists.txt ===
include(FindGettext)

find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)
if("${GETTEXT_XGETTEXT_EXECUTABLE}" STREQUAL "GETTEXT_XGETTEXT_EXECUTABLE-NOTFOUND")
    message(FATAL_ERROR "Could not find xgettext")
endif()

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
               ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY)

add_custom_target(${POT_FILE} ALL
                  COMMENT "Generating translation template"
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --language=Desktop
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_BINARY_DIR}
                          ${DESKTOP_FILE}.in
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -D ${CMAKE_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_BINARY_DIR}
                          --from-code=UTF-8
                          --c++
                          --qt
                          --add-comments=TRANSLATORS
                          --keyword=_ --keyword=tr --keyword=tr:1,2
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          --join-existing --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== schema/CMakeLists.txt ===
install(FILES com.lomiri.lomiri-system-settings.gschema.xml DESTINATION share/glib-2.0/schemas)

=== lib/LomiriSystemSettings/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_library(LomiriSystemSettings SHARED item-base.cpp item-base.h)
 set_target_properties(LomiriSystemSettings PROPERTIES
-VERSION 1.0.0
+VERSION 1.0.1
 SOVERSION 1
 )

=== lib/LomiriSystemSettingsPrivate/CMakeLists.txt ===
set(HEADERS
    accountsservice.h
    i18n.h
    systemimage.h
)
set(SOURCES
    accountsservice.cpp
    i18n.cpp
    systemimage.cpp
)

add_library(LomiriSystemSettingsPrivate SHARED ${HEADERS} ${SOURCES})
set_target_properties(LomiriSystemSettingsPrivate PROPERTIES
VERSION 0.0
SOVERSION 0.0
)

target_link_libraries(LomiriSystemSettingsPrivate Qt5::Core Qt5::DBus)

# Makes the life easier for in-tree plugins
target_include_directories(LomiriSystemSettingsPrivate PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
)

install(TARGETS LomiriSystemSettingsPrivate LIBRARY DESTINATION ${LIBDIR})
install(FILES ${HEADERS}
        DESTINATION include/LomiriSystemSettings/private)

=== plugins/about/CMakeLists.txt ===
include_directories(${ANDR_PROP_INCLUDE_DIRS})
include_directories(${GLIB_INCLUDE_DIRS})
include_directories(${GIO_INCLUDE_DIRS})
include_directories(${CLICK_INCLUDE_DIRS})
include_directories(${CLICK_INCLUDE_DIRS})
add_definitions(-DQT_NO_KEYWORDS)


set(QML_SOURCES
    EntryComponent.qml
    License.qml
    PageComponent.qml
    SingleValueStacked.qml
    Software.qml
    Storage.qml
    StorageBar.qml
    StorageItem.qml
    Version.qml
    DevMode.qml
    fakepkgslist.xml
)

add_library(LomiriStorageAboutPanel MODULE
    plugin.cpp
    storageabout.cpp
    systeminfo.cpp
    click.cpp
    plugin.h
    storageabout.h
    click.h
    ${QML_SOURCES} # So they show up in Qt designer.
)

target_link_libraries(LomiriStorageAboutPanel Qt5::Qml Qt5::Quick Qt5::DBus
${ANDR_PROP_LDFLAGS} ${GLIB_LDFLAGS} ${GIO_LDFLAGS} ${CLICK_LDFLAGS} LomiriSystemSettingsPrivate)


set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/StorageAbout)
install(TARGETS LomiriStorageAboutPanel DESTINATION ${PLUG_DIR})
install(FILES qmldir DESTINATION ${PLUG_DIR})
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/about)
install(FILES settings-about.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)
install(FILES about.settings DESTINATION ${PLUGIN_MANIFEST_DIR})

=== plugins/background/CMakeLists.txt ===
add_subdirectory(Components)

set(QML_SOURCES
    MainPage.qml
    WallpaperGrid.qml
    Preview.qml
    utilities.js
)
add_library(LomiriBackgroundPanel MODULE
plugin.cpp background.cpp plugin.h background.h
${QML_SOURCES}) # So they show up in Qt designer.

target_link_libraries(LomiriBackgroundPanel Qt5::Qml Qt5::Quick Qt5::DBus LomiriSystemSettingsPrivate)

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/Background)
install(TARGETS LomiriBackgroundPanel DESTINATION ${PLUG_DIR})
install(FILES qmldir DESTINATION ${PLUG_DIR})
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/background)
install(FILES welcomeoverlay.svg import-image@18.png header_handlearrow.png header_handlearrow2.png bullet.png
        DESTINATION ${PLUGIN_QML_DIR}/background)
install(FILES settings-background.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)
install(FILES background.settings DESTINATION ${PLUGIN_MANIFEST_DIR})

=== plugins/flight-mode/CMakeLists.txt ===
set(QML_SOURCES EntryComponent.qml)

add_library(FlightModeHelper MODULE
  flight-mode-helper.cpp
  flight-mode-helper.h
  plugin.cpp
  plugin.h
  # Proxy class for interface org.freedesktop.URfkill, /org/freedesktop/URfkill
  # manually generated with qdbusxml2cpp
  # if the API changes, get the introspection data
  # from the service and regenerate the file
  urfkill-proxy.h
  ${QML_SOURCES}
)
target_link_libraries(FlightModeHelper Qt5::Qml Qt5::Quick Qt5::DBus)
set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/FlightMode)

install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/flight-mode)

install(TARGETS FlightModeHelper DESTINATION ${PLUG_DIR})
install(FILES qmldir DESTINATION ${PLUG_DIR})

install(FILES flight-mode.settings DESTINATION ${PLUGIN_MANIFEST_DIR})
install(FILES settings-flight-mode.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)

=== plugins/gestures/CMakeLists.txt ===
add_subdirectory(plugin)

set(QML_SOURCES PageComponent.qml)

add_library(LomiriGesturesPanel MODULE
  gestures_dbushelper.cpp
  gestures_dbushelper.h
  plugin.cpp
  plugin.h
  ${QML_SOURCES}
)
target_link_libraries(LomiriGesturesPanel Qt5::Qml Qt5::Quick Qt5::DBus)

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/Gestures)
install(TARGETS LomiriGesturesPanel DESTINATION ${PLUG_DIR})
install(FILES qmldir.in DESTINATION ${PLUG_DIR} RENAME qmldir)
install(FILES gestures.settings DESTINATION ${PLUGIN_MANIFEST_DIR})
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/gestures)

=== plugins/hotspot/CMakeLists.txt ===
add_subdirectory(plugin)

set(QML_SOURCES
    Common.qml
    HotspotSetup.qml
    PageComponent.qml
)

# We need a dummy target so the QML files show up in Qt Creator
# If this plugin gets some C++ sources, remove this.
add_custom_target(hotspot-holder
COMMAND echo This is just a dummy.
SOURCES ${QML_SOURCES})

set(PLUG_DIR ${PLUGIN_PRIVATE_MODULE_DIR}/Lomiri/SystemSettings/Hotspot)

install(FILES qmldir DESTINATION ${PLUG_DIR})
install(FILES hotspot.settings DESTINATION ${PLUGIN_MANIFEST_DIR})
install(FILES settings-hotspot.svg DESTINATION ${PLUGIN_MANIFEST_DIR}/icons)
install(FILES ${QML_SOURCES} DESTINATION ${PLUGIN_QML_DIR}/hotspot)

=== debian/changelog ===
lomiri-system-settings (1.0.1-2) unstable; urgency=medium

  * debian/control:
    + Add to D (l-s-s): fonts-noto-core.
  * debian/patches:
    + Add 2002_use-Noto-font-instead-of-Ubuntu-font.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Mar 2023 00:03:40 +0100

lomiri-system-settings (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 2001_no_language_plugin.patch. Add 1001_use-maliit-keyboard-for-
      language-plugin.patch instead.
    + Add 2001_disable-current-language-switching.patch. Disable instantaneous
      language switching as this is not supported in Debian's AccountsService.
  * debian/control:
    + Add to D: maliit-keyboard (and drop commented out lomiri-keyboard-data).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Feb 2023 08:18:33 +0100

=== debian/control ===
--- 
+++ 
@@ -65,10 +65,11 @@
          click | ubuntu-snappy-cli,
          gir1.2-glib-2.0,
          gsettings-desktop-schemas,
+         fonts-noto-core,
          liblomirisystemsettings1 (= ${binary:Version}),
          lomiri-indicator-network,
-#         lomiri-keyboard-data,
          lomiri-schemas,
+         maliit-keyboard,
          python3,
          python3-dbus,
          python3-gi,

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 override_dh_auto_build:
 	dh_auto_build --parallel
-	$(MAKE) -j$(nproc) -C obj-$(DEB_HOST_GNU_TYPE) pot
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-system-settings/tags .*/lomiri-system-settings-(\d\S+)\.tar\.gz

## lomiri-system-settings 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-system-settings VERSION 1.0.1 LANGUAGES C CXX)
+project(lomiri-system-settings VERSION 1.0.2 LANGUAGES C CXX)
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -16,6 +16,7 @@
 enable_testing()
 
 option(ENABLE_TESTS "Build tests" ON)
+option(ENABLE_LIBDEVICEINFO "Build with libdeviceinfo support" OFF)
 
 if(cmake_build_type_lower MATCHES coverage)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
@@ -52,6 +53,9 @@
 pkg_search_module(ANDR_PROP libandroid-properties)
 pkg_search_module(CLICK REQUIRED click-0.4)
 pkg_check_modules(QTGSETTINGS REQUIRED gsettings-qt)
+if(ENABLE_LIBDEVICEINFO)
+    pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
+endif()
 
 set(DATA_DIR share)
 set(MODULE_DIR lomiri-system-settings)

=== lib/LomiriSystemSettings/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_library(LomiriSystemSettings SHARED item-base.cpp item-base.h)
 set_target_properties(LomiriSystemSettings PROPERTIES
-VERSION 1.0.1
+VERSION 1.0.2
 SOVERSION 1
 )

=== tests/mocks/CMakeLists.txt ===
--- 
+++ 
@@ -35,3 +35,4 @@
 add_subdirectory(Lomiri)
 add_subdirectory(QMenuModel)
 add_subdirectory(SystemSettings)
+add_subdirectory(MeeGo)

=== debian/changelog ===
lomiri-system-settings (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/patches:
    + Rebase 0002_bt-test-fix-with-modern-python-dbusmock.patch and 2002_use-
      Noto-font-instead-of-Ubuntu-font.patch.
    + Add 1003_bt-test-fix-with-modern-python-dbusmock-since-30.2.patch. Fix
      build against python-dbusmock 0.30.2 and beyond. (Closes: #1060992).
    + Add patch header to 2002_use-Noto-font-instead-of-Ubuntu-font.patch.
    + Rename 1001_use-maliit-keyboard-for-language-plugin.patch to 2000_use-
      maliit-keyboard-for-language-plugin.patch (i.e. consider patch Debian-
      specific).
  * debian/control:
    + Bump versiond B-D on python3-dbusmock to 0.30.2.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 19:37:30 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libupower-glib-dev,
                pkg-config,
                python3-all:any,
-               python3-dbus <!nocheck>,
+               python3-dbus (>= 0.30.2) <!nocheck>,
                python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native <!nocheck>,
                python3-gi <!nocheck>,
                python3-pep8 <!nocheck>,
